Page MenuHomePhabricator

ReCaptchaNoCaptcha displaying a <div class="error">$1</div> message in the edit form
Closed, ResolvedPublic

Description

When an edit triggers the captcha, it displays an "error" message at the top of the captcha, that prints literally, <div class="error">$1</div>

I can see the message being print in the ReCaptchaNoCaptcha.php file on line 165:

$msg = new RawMessage( '<div class="error">$1</div>', [ $msg ] );

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2019, 9:20 AM
Florian claimed this task.May 18 2019, 7:16 PM
Florian added a subscriber: Florian.

Working on it :)

Change 511087 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/ConfirmEdit@master] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511087

Change 511087 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511087

Florian closed this task as Resolved.May 19 2019, 8:45 AM

Change 511136 had a related patch set uploaded (by Martineznovo; owner: Florianschmidtwelzow):
[mediawiki/extensions/ConfirmEdit@REL1_32] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511136

Change 511136 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@REL1_32] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511136

Change 511982 had a related patch set uploaded (by Martineznovo; owner: Florianschmidtwelzow):
[mediawiki/extensions/ConfirmEdit@REL1_33] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511982

Change 511982 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@REL1_33] Do not ignore message parameters

https://gerrit.wikimedia.org/r/511982